﻿namespace Hotline.Share.Dtos.DataSharing.PusherHotlineDto
{
    /// <summary>
    /// 服务工单预警
    /// </summary>
    public class WarningDto
    {
        /// <summary>
        /// 预警规则
        /// </summary>
        public string WarnRulename { get; set; }

        /// <summary>
        /// 规则明细
        /// </summary>
        public string WarnDescribe { get; set; }

        /// <summary>
        /// 预警应处理时间
        /// </summary>
        public DateTime? WarnTimebf { get; set; }

        /// <summary>
        /// 预警等级
        /// </summary>
        public string WarnDegree { get; set; }

        /// <summary>
        /// 预警类型
        /// </summary>
        public string WarnType { get; set; }

        /// <summary>
        /// 预警时间
        /// </summary>
        public DateTime? WarnDate { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        public string CaseSerial { get; set; }
    }
}
